Bug 17654

Summary: FSharp Build error on the Raspberry Pi under Mono 3.2.7
Product: [Mono] Runtime Reporter: nhusted
Component: JITAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: mono-bugs+mono, mono-bugs+runtime, vargaz
Priority: ---    
Version: 3.2.x   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:

Description nhusted 2014-02-07 09:40:11 UTC
FSharp Version: 3.1 git master (commit d036a2c)
Mono Version: Mono JIT compiler version 3.2.7 (master/88ad199 Wed Feb 5 13:07:34 EST 2014)
(Bootstrapped with Rasbpian's mono-complete package using mono 3.2.3)

Build Process:
./autogen.sh --prefix=/usr/local
make

Note: I'm attempting to recompile 3.2.7 w/o the use of 3.2.3 as a bootstrap as I was informed some bugs in 3.2.3 might be causing issues.

Error Message:
F# Compiler for F# 3.0 (private, test-signed)
        Freely distributed under the Apache 2.0 Open Source License
        TIME:  8.1 Delta:  0.1 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib]
        TIME:  8.3 Delta:  0.2 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib and FSharp.Core.dll]
        TIME: 21.0 Delta: 12.7 Mem:  40 G0:   4 G1:  0 G2:  0 [Import system references]
        TIME: 28.0 Delta:  7.0 Mem:  46 G0:   1 G1:  0 G2:  0 [Parse inputs]
        TIME: 28.0 Delta:  0.0 Mem:  46 G0:   0 G1:  0 G2:  0 [Import non-system references]
        * Assertion: should not be reached at mini-arm.c:3928
        Stacktrace:
          at <unknown> <0xffffffff>
          at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x002cf>
          at Microsoft.FSharp.Compiler.TypeChecker.TcItemThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Nameres/Item,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>,Microsoft.FSharp.Compiler.Nameres/AfterOverloadResolution,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x013ab>
          at Microsoft.FSharp.Compiler.TypeChecker.TcLongIdentThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/LongIdentWithDots,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00233>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0022b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArg (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x00057>
          at Microsoft.FSharp.Compiler.TypeChecker/TcMethodArgs@8999.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x0002b>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403.Invoke (a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x0003f>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403-1.Invoke (Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<b>>) <0x00047>
          at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArgs (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>>>) <0x0006b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplication (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0169b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0018b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcCtorCall (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,Microsoft.FSharp.Compiler.Nameres/Item,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution>) <0x0066f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcNewExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range) <0x0035b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x024db>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0080b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x01e6f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
          at Microsoft.FSharp.Compiler.TypeChecker.TcExprThatCantBeCtorBody (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00073>
          at Microsoft.FSharp.Compiler.TypeChecker/tc@9220-1.Invoke (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00047>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V, W, X, Y> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, Microsoft.FSharp.Core.FSharpFunc`2<V, Microsoft.FSharp.Core.FSharpFunc`2<W, Microsoft.FSharp.Core.FSharpFunc`2<X, Y>>>>>,T,TResult,V,W,X) <0x00083>
          at Microsoft.FSharp.Compiler.TypeChecker.TcNormalizedBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Compiler.TypeChecker/SafeInitData,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Typar>,Microsoft.FSharp.Compiler.TypeChecker/ExplicitTyparInfo,Microsoft.FSharp.Compiler.TypeChecker/NormalizedBinding) <0x01017>
          at Microsoft.FSharp.Compiler.TypeChecker.TcNonRecursiveBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x000f7>
          at Microsoft.FSharp.Compiler.TypeChecker/TcLetBinding@9487.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x00057>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.TypeChecker.TcLetBinding (Microsoft.FSharp.Compiler.TypeChecker/cenv,bool,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x0009b>
          at Microsoft.FSharp.Compiler.TypeChecker.TcLetBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x00097>
          at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11905-1.Invoke (System.Tuple`7<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassA) <0x0086b>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11881.Invoke (System.Tuple`5<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>, Microsoft.FSharp.Compiler.TypeChecker/TcEnv>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup) <0x002c3>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>,Microsoft.FSharp.Compiler.Range/range) <0x00137>
          at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingDefns>) <0x000cf>
          at Microsoft.FSharp.Compiler.TypeChecker.TcTyconMemberDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconMemberData>) <0x00123>
          at Microsoft.FSharp.Compiler.TypeChecker/TcTypeDeclarations.TcTyconDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynTypeDefn>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x001ab>
          at Microsoft.FSharp.Compiler.TypeChecker/TcModuleOrNamespaceElement@14767-1.Invoke (Microsoft.FSharp.Core.Unit) <0x006cf>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/delay@667.Invoke (Microsoft.FSharp.Core.Unit) <0x0002b>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.forceWhile<a> (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x0008b>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.force<a> (Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x00043>
          at Microsoft.FSharp.Compiler.Build.TypecheckOneInput (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00137>
          at Microsoft.FSharp.Compiler.Build/TypecheckMultipleInputs@4934.Invoke (Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00043>
          at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
          at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
          at Microsoft.FSharp.Compiler.Build.TypecheckMultipleInputs (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0008b>
          at Microsoft.FSharp.Compiler.Build.TypecheckClosedInputSet (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0005f>
          at Microsoft.FSharp.Compiler.Driver.TypeCheck (Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,string,Microsoft.FSharp.Compiler.Ast/NiceNameGenerator,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>,Microsoft.FSharp.Compiler.ErrorLogger/Exiter) <0x0019f>
          at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine$cont@322 (Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,Microsoft.FSharp.Compiler.Lexhelp/LexResourceManager,Microsoft.FSharp.Collections.FSharpList`1<string>,string,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,Microsoft.FSharp.Core.Unit) <0x007f7>
          at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine (Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,string[],string,string,Microsoft.FSharp.Core.FSharpOption`1<int>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x00b9b>
          at Microsoft.FSharp.Compiler.Driver.main1 (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0027f>
          at Microsoft.FSharp.Compiler.Driver.mainCompile (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0002b>
          at Microsoft.FSharp.Compiler.CommandLineMain/Driver.main (string[]) <0x0036f>
          at Microsoft.FSharp.Compiler.CommandLineMain.main (string[]) <0x000eb>
          at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>
        Native stacktrace:
        Debug info from gdb:
        Mono support loaded.
        [Thread debugging using libthread_db enabled]
        Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".
        [New Thread 0x406cb430 (LWP 4152)]
        0x401a5a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
          Id   Target Id         Frame 
          2    Thread 0x406cb430 (LWP 4152) "mono" 0x401a3700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
        * 1    Thread 0x400eac60 (LWP 4149) "mono" 0x401a5a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
        Thread 2 (Thread 0x406cb430 (LWP 4152)):
        #0  0x401a3700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
        #1  0x001fab28 in mono_sem_wait ()
        #2  0x0017a878 in ?? ()
        Cannot access memory at address 0x0
        #3  0x0017a878 in ?? ()
        Cannot access memory at address 0x0
        Backtrace stopped: previous frame identical to this frame (corrupt stack?)
        Thread 1 (Thread 0x400eac60 (LWP 4149)):
        #0  0x401a5a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
        #1  0x000b16f0 in ?? ()
        #2  0x000b16f0 in ?? ()
        Backtrace stopped: previous frame identical to this frame (corrupt stack?)
        =================================================================
        Got a SIGABRT while executing native code. This usually indicates
        a fatal error in the mono runtime or one of the native libraries 
        used by your application.
        =================================================================
Comment 1 nhusted 2014-02-10 18:52:56 UTC
I've confirmed this error when compiling using a version of mono 3.2.7 that was compiled with monolite and not Raspbian's mono installation.

Mono Version: Mono JIT compiler version 3.2.7 (master/d50c836 Sun Feb  9 20:58:48 UTC 2014)
Compiled with: ./autogen.sh --prefix=/usr/local --enable-nls=no 

Fsharp Version: 3.1 git master (commit bb450cb03485ef244cfbce15848e608fe97ae1bf)
Compiled with: ./autogen.sh --prefix=/usr/local

	Target CallFsSrGen:
	Skipping target "CallFsSrGen" because its outputs are up-to-date.
	Target PrepareForBuild:
		Configuration: Proto Platform: AnyCPU
	Target GenerateSatelliteAssemblies:
	No input files were specified for target GenerateSatelliteAssemblies, skipping.
	Target CoreCompile:
		Tool /home/pi/fsharp/lib/bootstrap/4.0/fsc.exe execution started with arguments: -o:obj/proto/./FSharp.Build-proto.dll -g --noframework --define:CROSS_PLATFORM_COMPILER --define:DEBUG --define:NO_STRONG_NAMES --define:NO_STRONG_NAMES --define:BUILDING_WITH_LKG --define:FX_ATLEAST_40 --define:FX_ATLEAST_35 --define:BE_SECURITY_TRANSPARENT --define:QUERIES_IN_FSLIB --define:PUT_TYPE_PROVIDERS_IN_FSCORE --define:FX_ATLEAST_LINQ --define:FX_NO_BIGINT_CULTURE_PARSE --doc:/home/pi/fsharp/src/fsharp/FSharp.Build-proto/../../../lib/proto/./FSharp.Build-proto.xml --optimize+ --resource:obj/proto/./FSBuild.resources -r:/usr/local/lib/mono/4.0/mscorlib.dll -r:/home/pi/fsharp/src/fsharp/FSharp.Build-proto/../../../lib/bootstrap/4.0/FSharp.Core.dll -r:/usr/local/lib/mono/4.0/System.dll -r:/usr/local/lib/mono/4.0/System.Numerics.dll -r:/usr/local/lib/mono/4.0/Microsoft.Build.Engine.dll -r:/usr/local/lib/mono/4.0/Microsoft.Build.dll -r:/usr/local/lib/mono/4.0/Microsoft.Build.Framework.dll -r:/usr/local/lib/mono/4.0/Microsoft.Build.Utilities.v4.0.dll -r:/usr/local/lib/mono/4.0/Microsoft.Build.Tasks.v4.0.dll -r:/usr/local/lib/mono/4.0/System.Core.dll --target:library --nowarn:69,65,54,61,75 --warn:3 --warnaserror:76 --fullpaths --flaterrors --highentropyva-  --times --version:4.3.1.0 obj/proto/./FSBuild.fs ../../utils/CompilerLocationUtils.fs ../FSharp.Build/CreateFSharpManifestResourceName.fsi ../FSharp.Build/CreateFSharpManifestResourceName.fs ../FSharp.Build/Fsc.fsi ../FSharp.Build/Fsc.fs 
		F# Compiler for F# 3.0 (private, test-signed)
		Freely distributed under the Apache 2.0 Open Source License
		TIME:  7.9 Delta:  0.1 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib]
		TIME:  8.1 Delta:  0.2 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib and FSharp.Core.dll]
		TIME: 20.6 Delta: 12.5 Mem:  40 G0:   4 G1:  0 G2:  0 [Import system references]
		TIME: 27.6 Delta:  7.0 Mem:  46 G0:   1 G1:  0 G2:  0 [Parse inputs]
		TIME: 27.6 Delta:  0.0 Mem:  46 G0:   0 G1:  0 G2:  0 [Import non-system references]
		* Assertion: should not be reached at mini-arm.c:3944
		Stacktrace:
		  at <unknown> <0xffffffff>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x002cb>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcItemThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Nameres/Item,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>,Microsoft.FSharp.Compiler.Nameres/AfterOverloadResolution,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x013ab>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcLongIdentThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/LongIdentWithDots,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00233>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0022b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArg (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x00057>
		  at Microsoft.FSharp.Compiler.TypeChecker/TcMethodArgs@8999.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x0002b>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403.Invoke (a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x0003f>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403-1.Invoke (Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<b>>) <0x00047>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArgs (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>>>) <0x0006b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplication (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0169b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0018b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcCtorCall (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,Microsoft.FSharp.Compiler.Nameres/Item,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution>) <0x0066f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcNewExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range) <0x0035b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x024df>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0080b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x01e6f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThatCantBeCtorBody (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00073>
		  at Microsoft.FSharp.Compiler.TypeChecker/tc@9220-1.Invoke (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00047>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V, W, X, Y> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, Microsoft.FSharp.Core.FSharpFunc`2<V, Microsoft.FSharp.Core.FSharpFunc`2<W, Microsoft.FSharp.Core.FSharpFunc`2<X, Y>>>>>,T,TResult,V,W,X) <0x00083>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcNormalizedBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Compiler.TypeChecker/SafeInitData,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Typar>,Microsoft.FSharp.Compiler.TypeChecker/ExplicitTyparInfo,Microsoft.FSharp.Compiler.TypeChecker/NormalizedBinding) <0x01017>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcNonRecursiveBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x000f7>
		  at Microsoft.FSharp.Compiler.TypeChecker/TcLetBinding@9487.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x00057>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcLetBinding (Microsoft.FSharp.Compiler.TypeChecker/cenv,bool,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x0009b>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcLetBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x00097>
		  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11905-1.Invoke (System.Tuple`7<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassA) <0x00867>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11881.Invoke (System.Tuple`5<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>, Microsoft.FSharp.Compiler.TypeChecker/TcEnv>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup) <0x002c3>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>,Microsoft.FSharp.Compiler.Range/range) <0x00137>
		  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingDefns>) <0x000cf>
		  at Microsoft.FSharp.Compiler.TypeChecker.TcTyconMemberDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconMemberData>) <0x00123>
		  at Microsoft.FSharp.Compiler.TypeChecker/TcTypeDeclarations.TcTyconDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynTypeDefn>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x001ab>
		  at Microsoft.FSharp.Compiler.TypeChecker/TcModuleOrNamespaceElement@14767-1.Invoke (Microsoft.FSharp.Core.Unit) <0x006cf>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/delay@667.Invoke (Microsoft.FSharp.Core.Unit) <0x0002b>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.forceWhile<a> (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x0008b>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.force<a> (Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x00043>
		  at Microsoft.FSharp.Compiler.Build.TypecheckOneInput (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00137>
		  at Microsoft.FSharp.Compiler.Build/TypecheckMultipleInputs@4934.Invoke (Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00043>
		  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
		  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
		  at Microsoft.FSharp.Compiler.Build.TypecheckMultipleInputs (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0008b>
		  at Microsoft.FSharp.Compiler.Build.TypecheckClosedInputSet (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0005f>
		  at Microsoft.FSharp.Compiler.Driver.TypeCheck (Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,string,Microsoft.FSharp.Compiler.Ast/NiceNameGenerator,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>,Microsoft.FSharp.Compiler.ErrorLogger/Exiter) <0x0019f>
		  at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine$cont@322 (Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,Microsoft.FSharp.Compiler.Lexhelp/LexResourceManager,Microsoft.FSharp.Collections.FSharpList`1<string>,string,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,Microsoft.FSharp.Core.Unit) <0x007f7>
		  at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine (Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,string[],string,string,Microsoft.FSharp.Core.FSharpOption`1<int>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x00b9f>
		  at Microsoft.FSharp.Compiler.Driver.main1 (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0027f>
		  at Microsoft.FSharp.Compiler.Driver.mainCompile (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0002b>
		  at Microsoft.FSharp.Compiler.CommandLineMain/Driver.main (string[]) <0x0036f>
		  at Microsoft.FSharp.Compiler.CommandLineMain.main (string[]) <0x000eb>
		  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>
		Native stacktrace:
		Debug info from gdb:
		Mono support loaded.
		[Thread debugging using libthread_db enabled]
		Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".
		[New Thread 0x406cb430 (LWP 25868)]
		0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
		  Id   Target Id         Frame 
		  2    Thread 0x406cb430 (LWP 25868) "mono" 0x4019e700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
		* 1    Thread 0x400eac60 (LWP 25849) "mono" 0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
		Thread 2 (Thread 0x406cb430 (LWP 25868)):
		#0  0x4019e700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
		#1  0x00203490 in mono_sem_wait ()
		#2  0x0017fda0 in finalizer_thread ()
		#3  0x001626d0 in start_wrapper () at threads.c:643
		#4  0x00207824 in inner_start_thread ()
		#5  0x40197bfc in start_thread () from /lib/arm-linux-gnueabihf/libpthread.so.0
		#6  0x402a2758 in ?? () from /lib/arm-linux-gnueabihf/libc.so.6
		#7  0x402a2758 in ?? () from /lib/arm-linux-gnueabihf/libc.so.6
		Backtrace stopped: previous frame identical to this frame (corrupt stack?)
		Thread 1 (Thread 0x400eac60 (LWP 25849)):
		#0  0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
		#1  0x000b5c0c in mono_handle_native_sigsegv () at mini-exceptions.c:2299
		#2  <signal handler called>
		#3  0x40204bfc in raise () from /lib/arm-linux-gnueabihf/libc.so.6
		#4  0x4020897c in abort () from /lib/arm-linux-gnueabihf/libc.so.6
		#5  0x000136aa in ?? ()
		#6  0x000136aa in ?? ()
		Backtrace stopped: previous frame identical to this frame (corrupt stack?)
		=================================================================
		Got a SIGABRT while executing native code. This usually indicates
		a fatal error in the mono runtime or one of the native libraries 
		used by your application.
		=================================================================
/home/pi/fsharp/lib/bootstrap/4.0/Microsoft.FSharp.Targets: error : Tool exited with code: 134. Output: F# Compiler for F# 3.0 (private, test-signed)
Freely distributed under the Apache 2.0 Open Source License
TIME:  7.9 Delta:  0.1 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib]
TIME:  8.1 Delta:  0.2 Mem:  18 G0:   0 G1:  0 G2:  0 [Import mscorlib and FSharp.Core.dll]
TIME: 20.6 Delta: 12.5 Mem:  40 G0:   4 G1:  0 G2:  0 [Import system references]
TIME: 27.6 Delta:  7.0 Mem:  46 G0:   1 G1:  0 G2:  0 [Parse inputs]
TIME: 27.6 Delta:  0.0 Mem:  46 G0:   0 G1:  0 G2:  0 [Import non-system references]
* Assertion: should not be reached at mini-arm.c:3944

Stacktrace:

  at <unknown> <0xffffffff>
  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x002cb>
  at Microsoft.FSharp.Compiler.TypeChecker.TcItemThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Nameres/Item,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>,Microsoft.FSharp.Compiler.Nameres/AfterOverloadResolution,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x013ab>
  at Microsoft.FSharp.Compiler.TypeChecker.TcLongIdentThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/LongIdentWithDots,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00233>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0022b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArg (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x00057>
  at Microsoft.FSharp.Compiler.TypeChecker/TcMethodArgs@8999.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>) <0x0002b>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403.Invoke (a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x0003f>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List/mapfoldSquared@403-1.Invoke (Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<b>>) <0x00047>
  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodArgs (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Typrelns/CallerArg`1<Microsoft.FSharp.Compiler.Ast/SynExpr>>>) <0x0006b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplication (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0169b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcMethodApplicationThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/TType>>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Expr>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,string,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Compiler.Tastops/Mutates,bool,Microsoft.FSharp.Collections.FSharpList`1<System.Tuple`2<Microsoft.FSharp.Compiler.Infos/MethInfo, Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Infos/PropInfo>>>,Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution,Microsoft.FSharp.Compiler.Tast/ValUseFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynExpr>,Microsoft.FSharp.Compiler.Ast/ExprAtomicFlag,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x0018b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcCtorCall (bool,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,Microsoft.FSharp.Compiler.Nameres/Item,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.TypeChecker/AfterTcOverloadResolution>) <0x0066f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcNewExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Range/range>,bool,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Compiler.Range/range) <0x0035b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x024df>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0080b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprUndelayed (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x01e6f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThen (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/DelayedItem>) <0x00353>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprNoRecover (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0009f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExpr (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x0006f>
  at Microsoft.FSharp.Compiler.TypeChecker.TcExprThatCantBeCtorBody (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00073>
  at Microsoft.FSharp.Compiler.TypeChecker/tc@9220-1.Invoke (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynExpr) <0x00047>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V, W, X, Y> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, Microsoft.FSharp.Core.FSharpFunc`2<V, Microsoft.FSharp.Core.FSharpFunc`2<W, Microsoft.FSharp.Core.FSharpFunc`2<X, Y>>>>>,T,TResult,V,W,X) <0x00083>
  at Microsoft.FSharp.Compiler.TypeChecker.TcNormalizedBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Compiler.TypeChecker/SafeInitData,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Typar>,Microsoft.FSharp.Compiler.TypeChecker/ExplicitTyparInfo,Microsoft.FSharp.Compiler.TypeChecker/NormalizedBinding) <0x01017>
  at Microsoft.FSharp.Compiler.TypeChecker.TcNonRecursiveBinding (Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Tast/TType,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x000f7>
  at Microsoft.FSharp.Compiler.TypeChecker/TcLetBinding@9487.Invoke (Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Ast/SynBinding) <0x00057>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.TypeChecker.TcLetBinding (Microsoft.FSharp.Compiler.TypeChecker/cenv,bool,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x0009b>
  at Microsoft.FSharp.Compiler.TypeChecker.TcLetBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/ContainerInfo,Microsoft.FSharp.Compiler.TypeChecker/DeclKind,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynBinding>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x00097>
  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11905-1.Invoke (System.Tuple`7<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Compiler.TypeChecker/TcEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassA) <0x00867>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization@11881.Invoke (System.Tuple`5<Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PostGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreGeneralizationRecursiveBinding>, Microsoft.FSharp.Collections.FSharpMap`2<long, Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>, Microsoft.FSharp.Compiler.TypeChecker/TcEnv>,Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup) <0x002c3>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings_PassB_TypeCheckAndIncrementalGeneralization (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Infos/AccessorDomain,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking/TyconBindingsPassAGroup>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Tast/Val>,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/PreCheckingRecursiveBinding>,Microsoft.FSharp.Compiler.Range/range) <0x00137>
  at Microsoft.FSharp.Compiler.TypeChecker/TyconBindingChecking.TcTyconBindings (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconBindingDefns>) <0x000cf>
  at Microsoft.FSharp.Compiler.TypeChecker.TcTyconMemberDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.TypeChecker/TyconMemberData>) <0x00123>
  at Microsoft.FSharp.Compiler.TypeChecker/TcTypeDeclarations.TcTyconDefns (Microsoft.FSharp.Compiler.TypeChecker/cenv,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Compiler.Tast/ParentRef,Microsoft.FSharp.Compiler.TypeChecker/SyntacticUnscopedTyparEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/SynTypeDefn>,Microsoft.FSharp.Compiler.Range/range,Microsoft.FSharp.Compiler.Range/range) <0x001ab>
  at Microsoft.FSharp.Compiler.TypeChecker/TcModuleOrNamespaceElement@14767-1.Invoke (Microsoft.FSharp.Core.Unit) <0x006cf>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/delay@667.Invoke (Microsoft.FSharp.Core.Unit) <0x0002b>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/catch@661.Invoke (Microsoft.FSharp.Core.Unit) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule/bind@652.Invoke (Microsoft.FSharp.Core.Unit) <0x00037>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.forceWhile<a> (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x0008b>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/EventuallyModule.force<a> (Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/Eventually`1<a>) <0x00043>
  at Microsoft.FSharp.Compiler.Build.TypecheckOneInput (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00137>
  at Microsoft.FSharp.Compiler.Build/TypecheckMultipleInputs@4934.Invoke (Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Compiler.Ast/ParsedInput) <0x00043>
  at Microsoft.FSharp.Core.FSharpFunc`2.InvokeFast<V> (Microsoft.FSharp.Core.FSharpFunc`2<T, Microsoft.FSharp.Core.FSharpFunc`2<TResult, V>>,T,TResult) <0x00057>
  at Microsoft.FSharp.Compiler.AbstractIL.Internal.Library/List.mapFold<a, b, c> (Microsoft.FSharp.Core.FSharpFunc`2<a, Microsoft.FSharp.Core.FSharpFunc`2<b, System.Tuple`2<c, a>>>,a,Microsoft.FSharp.Collections.FSharpList`1<b>) <0x000cb>
  at Microsoft.FSharp.Compiler.Build.TypecheckMultipleInputs (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0008b>
  at Microsoft.FSharp.Compiler.Build.TypecheckClosedInputSet (Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Core.Unit, bool>,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/Ident>>,Microsoft.FSharp.Compiler.Build/TcState,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>) <0x0005f>
  at Microsoft.FSharp.Compiler.Driver.TypeCheck (Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.Build/TcImports,Microsoft.FSharp.Compiler.Env/TcGlobals,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,string,Microsoft.FSharp.Compiler.Ast/NiceNameGenerator,Microsoft.FSharp.Compiler.TypeChecker/TcEnv,Microsoft.FSharp.Collections.FSharpList`1<Microsoft.FSharp.Compiler.Ast/ParsedInput>,Microsoft.FSharp.Compiler.ErrorLogger/Exiter) <0x0019f>
  at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine$cont@322 (Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,Microsoft.FSharp.Compiler.Lexhelp/LexResourceManager,Microsoft.FSharp.Collections.FSharpList`1<string>,string,Microsoft.FSharp.Compiler.Build/TcConfig,Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger,Microsoft.FSharp.Core.Unit) <0x007f7>
  at Microsoft.FSharp.Compiler.Driver.getTcImportsFromCommandLine (Microsoft.FSharp.Core.FSharpOption`1<Microsoft.FSharp.Core.FSharpFunc`2<string, Microsoft.FSharp.Core.Unit>>,string[],string,string,Microsoft.FSharp.Core.FSharpOption`1<int>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Core.Unit>,bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x00b9f>
  at Microsoft.FSharp.Compiler.Driver.main1 (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0027f>
  at Microsoft.FSharp.Compiler.Driver.mainCompile (string[],bool,Microsoft.FSharp.Compiler.ErrorLogger/Exiter,Microsoft.FSharp.Core.FSharpFunc`2<Microsoft.FSharp.Compiler.Build/TcConfigBuilder, Microsoft.FSharp.Compiler.ErrorLogger/ErrorLogger>) <0x0002b>
  at Microsoft.FSharp.Compiler.CommandLineMain/Driver.main (string[]) <0x0036f>
  at Microsoft.FSharp.Compiler.CommandLineMain.main (string[]) <0x000eb>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:


Debug info from gdb:

Mono support loaded.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".
[New Thread 0x406cb430 (LWP 25868)]
0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
  Id   Target Id         Frame 
  2    Thread 0x406cb430 (LWP 25868) "mono" 0x4019e700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
* 1    Thread 0x400eac60 (LWP 25849) "mono" 0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0

Thread 2 (Thread 0x406cb430 (LWP 25868)):
#0  0x4019e700 in sem_wait@@GLIBC_2.4 () from /lib/arm-linux-gnueabihf/libpthread.so.0
#1  0x00203490 in mono_sem_wait ()
#2  0x0017fda0 in finalizer_thread ()
#3  0x001626d0 in start_wrapper () at threads.c:643
#4  0x00207824 in inner_start_thread ()
#5  0x40197bfc in start_thread () from /lib/arm-linux-gnueabihf/libpthread.so.0
#6  0x402a2758 in ?? () from /lib/arm-linux-gnueabihf/libc.so.6
#7  0x402a2758 in ?? () from /lib/arm-linux-gnueabihf/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x400eac60 (LWP 25849)):
#0  0x401a0a3c in waitpid () from /lib/arm-linux-gnueabihf/libpthread.so.0
#1  0x000b5c0c in mono_handle_native_sigsegv () at mini-exceptions.c:2299
#2  <signal handler called>
#3  0x40204bfc in raise () from /lib/arm-linux-gnueabihf/libc.so.6
#4  0x4020897c in abort () from /lib/arm-linux-gnueabihf/libc.so.6
#5  0x000136aa in ?? ()
#6  0x000136aa in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 2 Zoltan Varga 2014-02-28 19:03:05 UTC
Fixed in master. However, an fsharp build still takes like 30 minutes on an arm machine.